iorheo.cc File Reference

Go to the source code of this file.

## Namespaces

| rheolef
| This file is part of Rheolef.

## Macros

#define | boolean(stream, name)
#define | member(stream, name, groupe)
#define | i_scalar(t, a) iorheobase_io_scalar_body_macro(iorheo,t,a)
#define | o_scalar(t, a) iorheobase_io_scalar_body_macro(iorheo,t,a)
#define | io_scalar(t, a) iorheobase_io_scalar_body_macro(iorheo,t,a)
#define | IORHEO_PREFIX

## Macro Definition Documentation

## boolean

#define boolean | ( |  | stream,
|  |  | name
| ) |  |

Definition at line 51 of file iorheo.cc.

## member

#define member | ( |  | stream,
|  |  | name,
|  |  | groupe
| ) |  |

Definition at line 52 of file iorheo.cc.

## i_scalar

#define i_scalar | ( |  | t,
|  |  | a
| ) |  | iorheobase_io_scalar_body_macro(iorheo,t,a)

Definition at line 53 of file iorheo.cc.

## o_scalar

#define o_scalar | ( |  | t,
|  |  | a
| ) |  | iorheobase_io_scalar_body_macro(iorheo,t,a)

Definition at line 101 of file iofem.h.

## io_scalar

#define io_scalar | ( |  | t,
|  |  | a
| ) |  | iorheobase_io_scalar_body_macro(iorheo,t,a)

Definition at line 55 of file iorheo.cc.

## IORHEO_PREFIX

#define IORHEO_PREFIX

Definition at line 76 of file iorheo.cc.